//------------------------------------------------------------------------------------
// irr::gui::IGUIStaticText wrappers (done)
//------------------------------------------------------------------------------------
extern "C" 
{
	void IrrGUI_IGUIStaticText_setOverrideFont(IGUIStaticText* stattext,IGUIFont* font)
	{
		if (stattext>0)
			stattext->setOverrideFont(font);
	}
	
	void IrrGUI_IGUIStaticText_setOverrideColor(IGUIStaticText* stattext,SColor* color)
	{
		if (stattext>0)
			stattext->setOverrideColor(*color);
	}
	
	void IrrGUI_IGUIStaticText_enableOverrideColor(IGUIStaticText* stattext,bool enable)
	{
		if (stattext>0)
			stattext->enableOverrideColor(enable);
	}
	
	void IrrGUI_IGUIStaticText_setWordWrap(IGUIStaticText* stattext,bool enable)
	{
		if (stattext>0)
			stattext->setWordWrap(enable);
	}
	
	s32 IrrGUI_IGUIStaticText_getTextHeight(IGUIStaticText* stattext)
	{
		s32 nRetVal=0;
		
		if (stattext>0)
			nRetVal=stattext->getTextHeight();
		
		return nRetVal;
	}

	// do not delete
	IGUIFont* IrrGUI_IGUIStaticText_getOverrideFont(IGUIStaticText* stattext)
	{
		if (stattext)
			return stattext->getOverrideFont();
		else return 0;
	}
	
	// must delete
	video::SColor* IrrGUI_IGUIStaticText_getOverrideColor(IGUIStaticText* stattext)
	{
		if (stattext)
			return new SColor(stattext->getOverrideColor());
		else return 0;
	}
	
	bool IrrGUI_IGUIStaticText_isOverrideColorEnabled(IGUIStaticText* stattext)
	{
		if (stattext)
			return stattext->isOverrideColorEnabled();
		else return false;
	}
	
	bool IrrGUI_IGUIStaticText_isWordWrapEnabled(IGUIStaticText* stattext)
	{
		if (stattext)
			return stattext->isWordWrapEnabled();
		else return false;
	}
	
	s32 IrrGUI_IGUIStaticText_getTextWidth(IGUIStaticText* stattext)
	{
		if (stattext)
			return stattext->getTextWidth();
		else return -1;
	}
	
	void IrrGUI_IGUIStaticText_setBackgroundColor(IGUIStaticText* stattext,SColor* color)
	{
		if (stattext)
			stattext->setBackgroundColor(*color);
	}
	
	void IrrGUI_IGUIStaticText_setDrawBackground(IGUIStaticText* stattext,bool draw)
	{
		if (stattext)
			stattext->setDrawBackground(draw);
	}	
	
	void IrrGUI_IGUIStaticText_setDrawBorder(IGUIStaticText* stattext,bool draw)
	{
		if (stattext)
			stattext->setDrawBorder(draw);
	}
}
//------------------------------------------------------------------------------------
//------------------------------------------------------------------------------------